/// <reference types="node" />
import { BrotliOptions, ZlibOptions } from "zlib";
import { AsyncEnumerableLike } from "@reactive-js/async-enumerable";
import { HttpContentResponseLike, HttpContentRequestLike } from "@reactive-js/http";
import { ReadableMode, ReadableEvent } from "@reactive-js/node";
import { OperatorLike } from "@reactive-js/pipe";
export interface EncodeHttpResponseOptions {
    readonly shouldEncode?: <T, TResp>(req: HttpContentRequestLike<T>, resp: HttpContentResponseLike<TResp>) => boolean | undefined;
}
export declare const encodeHttpResponse: <TReq>(request: HttpContentRequestLike<TReq>, options?: (EncodeHttpResponseOptions & ZlibOptions) | (EncodeHttpResponseOptions & BrotliOptions)) => OperatorLike<HttpContentResponseLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>, HttpContentResponseLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>>;
export declare const decodeHttpContentResponse: (options: ZlibOptions | BrotliOptions) => OperatorLike<HttpContentResponseLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>, HttpContentResponseLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>>;
