/// <reference types="node" />
import { BrotliOptions, ZlibOptions } from "zlib";
import { Readable } from "stream";
import { AsyncEnumerableLike } from "@reactive-js/async-enumerable";
import { HttpContentEncoding, HttpContentLike } from "@reactive-js/http";
import { ReadableMode, ReadableEvent } from "@reactive-js/node";
export declare const encodeHttpContent: (contentBody: HttpContentLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>, encoding: HttpContentEncoding, options: ZlibOptions | BrotliOptions) => HttpContentLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>;
export declare const decodeHttpContent: (contentBody: HttpContentLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>, options: ZlibOptions | BrotliOptions) => HttpContentLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>;
export declare const createBufferHttpContent: (chunk: Buffer, contentType: string) => HttpContentLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>;
export declare const createReadableHttpContent: (factory: () => Readable, contentType: string, contentLength?: number) => HttpContentLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>;
export declare const createStringHttpContent: (content: string, contentType: string, charset?: string) => HttpContentLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>;
export declare const contentIsCompressible: (content: HttpContentLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>) => boolean;
