/// <reference types="node" />
import { RequestListener } from "http";
import { HttpServerRequestLike, HttpContentResponseLike } from "@reactive-js/http";
import { ReadableMode, ReadableEvent } from "@reactive-js/node";
import { ObservableLike } from "@reactive-js/observable";
import { SchedulerLike } from "@reactive-js/scheduler";
import { AsyncEnumerableLike } from "@reactive-js/async-enumerable";
export interface HttpRequestListenerOptions {
    readonly onError?: (e: unknown) => ObservableLike<unknown>;
}
export interface HttpRequestListenerHandler {
    (req: HttpServerRequestLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>): ObservableLike<HttpContentResponseLike<AsyncEnumerableLike<ReadableMode, ReadableEvent>>>;
}
export declare const createHttpRequestListener: (handler: HttpRequestListenerHandler, scheduler: SchedulerLike, options?: HttpRequestListenerOptions) => RequestListener;
//# sourceMappingURL=httpRequestListener.d.ts.map